<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<meta name="Description" content="RNAspace project-web" />
<meta name="Keywords" content="RNAspace, ncRNA, non-coding RNA, non-protein-coding RNA, 
genome annotation, ncRNA gene finder, rnaspace.org" />
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<link rel="stylesheet" type="text/css" href="style.css" />
<title>RNAspace</title>
</head>
<body>
<div id="wrap">
<div id="header"><h1><b>RNA</b>space</h1></div>
<div id="menu">
  <ul>
	<li><a href="index.html">Home</a></li>
	<li><a href="screenshots.html">Screenshots</a></li>
	<li><a href="install.html">Download/Install</a></li>
	<li><a href="user_manual.html">User Manual</a></li>
	<li><a href="faq.html">FAQ</a></li>
  </ul>
</div>


<div id="main">

<!-- BEGIN OF THE BODY -->
<h2>User manual using a web site</h2>
<p>
See the <a href="http://rnaspace.org/help">Help page</a> of the public site 
<a href="http://rnaspace.org">rnaspace.org</a><br/>
Note that the documentation uses the parametrization of the site. For example,
the size limitation of genomic input sequences, the number of day that results 
are stored ...
</p>
<br/>

<h2>User manual using in command line</h2>
<p>
The rnaspace_cli.py script allows you to use RNAspace with the command line, without 
using the web interface. <br/>
</p>
<h3>1/ General description</h3>
<p>
All the information provided in the Load page (sequence, domain, name, Email) and the 
Predict page (gene-finders to launch with their parameters, combine) are now provided 
in a run configuration file. <br/>
In this file, it is also required to set the output format and the directory location 
for ncRNA predictions.  <br/>
Note that at the end of the Run, a mail is send to the user.
If the website is running, following the link given in the mail allows to interactively 
explore the ncRNA predictions found. <br/>
 <br/>
Here is a diagram to illustrate this functioning. <br/><br/>
<img src="images/cli-reduced.jpg" alt="Command line functioning image" /> <br/>
<br/>
The syntax of the script is the following. <br/>
<span class="command">  python rnaspace_cli.py [Options] RUN_CONFIGURATION_FILE </span><br/>
</p>
<h4>Options:</h4>
<p>
<b>  -r RNASPACE_CONF, --rnaspace=RNASPACE_CONF </b><br/>
  	 RNAspace configuration file (by default the file cfg/rnaspace.cfg) <br/>
<b>  -p PREDICTORS_CONF_DIR, --predictors_conf_dir=PREDICTORS_CONF_DIR </b><br/>
  	 Directory that contains the predictors conf files (by default the directory cfg/predictors) <br/>
</p>
<h4>Help Options:</h4>
<p>
<b>  -h interactive</b> <br/>
  	 enter in the interactive help <br/>
<b>  -h full</b> <br/>
  	 display all the help pages. It can be huge, so it is better to save it in <br/>
  	 a file: python rnaspace_cli.py -h full > help_rnaspace.txt <br/>
<b>  -h gene-finder</b> <br/>
  	 display the list of the available gene finder <br/>
<b>  -h organisms</b> <br/>
  	 display the list of the available organisms <br/>
<b>  -h output-formats</b> <br/>
  	 display the list of available export formats <br/>
<b>  -h GENE_FINDER_NAME</b> <br/>
  	 display the help of GENE_FINDER_NAME <br/>
</p>
<h4>Example</h4>
<p>
Considering an installation with the gene finder configuration files  
in the /etc/rnaspace/gene-finder/ directory and 
the rnaspace configuration file /etc/rnaspace/rnaspace.cfg. <br/>
You can use the script with this options: <br/>
<span class="command">python rnaspace_cli.py -r /etc/rnaspace/rnaspace.cfg -p /etc/rnaspace/gene-finder </span> <br/>
 <br/>
</p>
<h3>2. Run configuration file</h3>
<p>
The run configuration file is a INI file that describes the gene finder to execute. It is very 
similar to the other configuration files. <br/><br/>
A run configuration file contains a Main section that describes the gene finders to execute and the
 input sequence(s) to use. For each sequence to use, a section must be provided to describe this input 
sequence. Optionally, the configuration file can contain sections for each gene finder to execute that 
specify the options to use with these gene finder. <br/>
For each sequence(s) to use, options about masking are available. You can mask coding regions with an 
annotation file, non transcript regions with a transcripts file, low complexity regions using mdust 
and repeated regions using repeatMasker. For masking coding option and for masking non-transcript 
option, a section must be provided to give the input file and the different parameters. <br/> <br/>
To simplify the process of writing the run configuration file, a file named rnaspace_cli.cfg is 
provided with RNAspace. <br/>
This file contains the configuration of all the gene finder provided with the platform.  The 
parameters of gene-finders have default values so they could have been removed but they allow 
to easily change these default values. <br/>
You can use the file only changing the run option of the Main section to only execute the gene finder 
you want. <br/>
<br/> 
</p>
<h4>Example of command line configuration file</h4>
<p class="code">
#Mandatory section<br/>
[Main]<br/>
email = email@domain.com<br/>
input = sample                                # a section named "sample" must exists<br/>
run = YASS,BLAST, Comparative  # the gene finder to execute separated by a coma.<br/>
combine = True                              # execute the combine after the gene finder execution<br/>
export_output = outputs.gff            # file in which the results will be exported<br/>
export_format = GFF                     # export the results in GFF format.<br/>
<br/>
# describes the input sequence. Mandatory.<br/>
[sample]<br/>
path = sample.fna                          # path to the FASTA file<br/>
name = sample                              # input name<br/>
domain = bacteria                          # bacteria<br/>
mask_coding_regions = annotations  #option to launch masking with annotations file. 
                                    A section named "annotations" must exists<br/>
mask_transcript_regions = transcripts  #option to launch masking with transcripts file. 
                                        A section named "transcripts" must exists<br/>
mdust = True                                 #option to launch mdust on sequence <br/>
repeatmasker = True                    #option to launch repeatmasker on sequence<br/>
<br/>
# optionnal options<br/>
# species = <br/>
# strain = <br/>
# replicon = <br/>
<br/>
[annotations] <br/>
path = NC_000913.gff                 # path to the annotation file to use<br/>
x = 20                                           #number of bp unmask at the beginning and the end of the sequence<br/>
<br/>
[transcripts] <br/>
path = sample_RNA.fastq            #path to the transcripts file to use<br/>
x = 20                                           #number of bp unmask at the beginning and the end of the sequence<br/>
p = 100                                        #megablast parameter: Identity (%)<br/>
w = 18                                         #megablast parameter: Word size (bp)<br/>
<br/>
# specify some options for YASS gene finder<br/>
# options that are not specified get the default values.<br/>
[YASS]<br/>
alignments = 2<br/>
e = yes<br/>
r = both<br/>
<br/>
# Specify the comparative pipeline<br/>
[Comparative]<br/>
conservation_soft = yass<br/>
aggregation_soft = CG-seq<br/>
inference_soft = caRNAc<br/>
organisms =  Acholeplasma_laidlawii_PG_8A [1 sequences]<br/>
<br/>
# Specify options for yass program<br/>
[yass]<br/>
p = "###-#@-##@##,###--#-#--#-###"<br/>
c = double<br/>
<br/>
# Specify options for CG-seq program<br/>
[CG-seq]<br/>
L = 400<br/>
F = True<br/>
<br/>
<br/>
# Note that the options of the gene finder that do not have a section, take the default<br/>
# values.<br/>
<br/>
</p>

<!-- END OF THE BODY-->
</div>
<!-- BEGIN OF THE FOOTER -->
<div style="clear: both;"> </div>
<div id="footer">
<hr/>
<p style="text-align: right;">Last modified: May 18, 2011</p>
</div>
<!-- END OF THE FOOTER -->
</div>
</body>
</html>
